Automatic rescheduling by precedes issue-relation should be added to the journal

2009-11-02 15:22 - Michael Aye

Status: Closed Start date: 2009-11-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 0.8.5

Description

If the scheduled dates of task A are automatically changed by setting a 'precedes' relationship inside task B, this really is required to

be listed in the history of task A, otherwise the information, to which dates task A was set before, is lost.

Related issues:

Related to Redmine - Patch #28649: Log automatic rescheduling of following is... Closed

History

#1 - 2009-11-02 15:51 - Anonymous

+1

#2 - 2010-12-30 05:37 - Mischa The Evil

- Subject changed from Automatic rescheduling should be listed in history to Automatic rescheduling by precedes issue-relation should be added to

the journal

#3 - 2015-10-23 10:58 - Sebastian Paluch

+100

Additionally, there is no email notification that the dates for task A has changed.

#4 - 2016-01-15 00:13 - Kamil Franckiewicz

+1

#5 - 2017-06-28 08:20 - Mitsuyoshi Kawabata

+1

#6 - 2018-04-02 10:06 - Go MAEDA

- Target version set to Candidate for next major release

#7 - 2018-04-04 06:12 - Kevin Fischer

- File After setting relation - Task A.png added

- File After setting relation - Task B.png added

Assuming the situation described in this issue and using the latest revision (r17255):

Task B --precedes--> Task A

 When setting a precedes relationship inside task B, the rescheduling of Task A that occurs, is listed properly in the Task A's history.

So unless I'm misunderstanding this issue's description, this issue is already resolved.

Task B:

 After setting relation - Task B.png 

Task A:

 After setting relation - Task A.png 

But if you change Task B's due date (after the relation is established), the rescheduling of Task A in this case is not listed in Task A's history....

Is there an issue about that particular part of the bug? Or should the description of this issue be adapted to be more specific about the bug?
https://www.redmine.org/projects/redmine/repository/svn/revisions/17255


#8 - 2018-04-27 07:44 - Go MAEDA

- Related to Patch #28649: Log automatic rescheduling of following issues to journal added

#9 - 2018-04-28 02:45 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Fixed

Kevin Fischer wrote:

When setting a precedes relationship inside task B, the rescheduling of Task A that occurs, is listed properly in the Task A's history.

So unless I'm misunderstanding this issue's description, this issue is already resolved.

 I confirmed that the problem described in this issue is already fixed by r13534 (Redmine 3.0.0). Thank you for pointing it out and isolating the similar

problem you have reported as #28649.

Files

After setting relation - Task B.png 29.2 KB 2018-04-04 Kevin Fischer

After setting relation - Task A.png 55 KB 2018-04-04 Kevin Fischer
